/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "DCCL v4", "index.html", [
    [ "Dynamic Compact Control Language (DCCL)", "index.html", [
      [ "Quick Start (Ubuntu or Debian)", "index.html#autotoc_md1", [
        [ "C++", "index.html#autotoc_md2", null ],
        [ "Python", "index.html#autotoc_md3", null ],
        [ "dccl Command Line tool", "index.html#autotoc_md4", null ]
      ] ],
      [ "Code", "index.html#autotoc_md5", null ],
      [ "Reference", "index.html#autotoc_md6", null ],
      [ "History", "index.html#autotoc_md7", null ],
      [ "Authors", "index.html#autotoc_md8", null ]
    ] ],
    [ "DCCL Interface Descriptor Language (IDL)", "md_src_doc_markdown_page02_idl.html", [
      [ "DCCL options", "md_src_doc_markdown_page02_idl.html#autotoc_md10", [
        [ "Table 1: Definition of the DCCL Interface Description Language", "md_src_doc_markdown_page02_idl.html#autotoc_md11", null ],
        [ "DCCL ID: (dccl.msg).id", "md_src_doc_markdown_page02_idl.html#autotoc_md12", null ],
        [ "DCCL Maximum bytes: (dccl.msg).max_bytes", "md_src_doc_markdown_page02_idl.html#autotoc_md13", null ],
        [ "DCCL Codec Version: (dccl.msg).codec_version", "md_src_doc_markdown_page02_idl.html#autotoc_md14", null ],
        [ "Precision versus Resolution", "md_src_doc_markdown_page02_idl.html#autotoc_md15", null ]
      ] ],
      [ "DCCL Static Units", "md_src_doc_markdown_page02_idl.html#autotoc_md16", [
        [ "DCCL Units Generated Code", "md_src_doc_markdown_page02_idl.html#autotoc_md17", [
          [ "Singular Numeric Fields", "md_src_doc_markdown_page02_idl.html#autotoc_md18", null ],
          [ "Repeated Numeric Fields", "md_src_doc_markdown_page02_idl.html#autotoc_md19", null ]
        ] ],
        [ "DCCL Units examples", "md_src_doc_markdown_page02_idl.html#autotoc_md20", [
          [ "AUVStatus", "md_src_doc_markdown_page02_idl.html#autotoc_md21", null ],
          [ "CTDMessage", "md_src_doc_markdown_page02_idl.html#autotoc_md22", null ],
          [ "CommandMessage", "md_src_doc_markdown_page02_idl.html#autotoc_md23", null ]
        ] ]
      ] ],
      [ "DCCL Dynamic Conditions (DCCL4+)", "md_src_doc_markdown_page02_idl.html#autotoc_md24", [
        [ "Special variables", "md_src_doc_markdown_page02_idl.html#autotoc_md25", null ],
        [ "Other notes", "md_src_doc_markdown_page02_idl.html#autotoc_md26", null ]
      ] ]
    ] ],
    [ "DCCL Encoders/Decoders (codecs)", "md_src_doc_markdown_page03_codecs.html", [
      [ "Encoding algorithm", "md_src_doc_markdown_page03_codecs.html#autotoc_md28", null ],
      [ "Example Encoding", "md_src_doc_markdown_page03_codecs.html#autotoc_md29", null ],
      [ "Decoding", "md_src_doc_markdown_page03_codecs.html#autotoc_md30", null ],
      [ "Default Field Codec Reference", "md_src_doc_markdown_page03_codecs.html#autotoc_md31", [
        [ "Default Identifier Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md32", null ],
        [ "Default Numeric Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md33", null ],
        [ "Default Enumeration Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md34", null ],
        [ "Default Boolean Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md35", null ],
        [ "Default String Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md36", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md37", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md38", null ]
        ] ],
        [ "Default Bytes Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md39", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md40", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md41", null ]
        ] ],
        [ "Default Message Codec", "md_src_doc_markdown_page03_codecs.html#autotoc_md42", null ],
        [ "Mathematical formulas for Default Field Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md43", [
          [ "DCCLv3", "md_src_doc_markdown_page03_codecs.html#autotoc_md44", null ],
          [ "DCCLv4", "md_src_doc_markdown_page03_codecs.html#autotoc_md45", null ]
        ] ]
      ] ],
      [ "Additional Built-in Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md46", [
        [ "VarBytesCodec (string / bytes)", "md_src_doc_markdown_page03_codecs.html#autotoc_md47", null ],
        [ "PresenceBitCodec (all types)", "md_src_doc_markdown_page03_codecs.html#autotoc_md48", null ],
        [ "TimeCodec (uint64, int64, double)", "md_src_doc_markdown_page03_codecs.html#autotoc_md49", null ],
        [ "StaticFieldCodec (all types)", "md_src_doc_markdown_page03_codecs.html#autotoc_md50", null ],
        [ "HashCodec (uint32)", "md_src_doc_markdown_page03_codecs.html#autotoc_md51", null ]
      ] ],
      [ "Additional Codec libraries", "md_src_doc_markdown_page03_codecs.html#autotoc_md52", [
        [ "Native Protobuf", "md_src_doc_markdown_page03_codecs.html#autotoc_md53", null ],
        [ "Arithmetic Coder", "md_src_doc_markdown_page03_codecs.html#autotoc_md54", null ],
        [ "REMUS CCL", "md_src_doc_markdown_page03_codecs.html#autotoc_md55", null ]
      ] ],
      [ "Custom Field Codecs", "md_src_doc_markdown_page03_codecs.html#autotoc_md56", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"",
"classdccl_1_1Codec.html#a7bb207b285af21ba1404bd094a420db8",
"classdccl_1_1PROTOBUF__FINAL.html#a1b375cf9b1ea39556438c1da013aaa01",
"classdccl_1_1PROTOBUF__FINAL.html#a7ed8c1ba97a12e3d4f243b2fb4c5c790",
"classdccl_1_1PROTOBUF__FINAL.html#ada09759718b30c71d7653901b56a886c",
"classdccl_1_1internal_1_1FromProtoCppTypeBase.html#a0d3e4a758660d2aa318ff6c4429dd0a5",
"classdccl_1_1legacyccl_1_1protobuf_1_1PROTOBUF__FINAL.html#a1f4633956f4560bd6ec1159f7a5c146fa60bb3e8037e7ab0889441fa102657fcb",
"classdccl_1_1legacyccl_1_1protobuf_1_1PROTOBUF__FINAL.html#a83328aa46626d3d69ad2988f7eff034b",
"classdccl_1_1legacyccl_1_1protobuf_1_1PROTOBUF__FINAL.html#afa39aded7e9c626c11e99eee91f3efe4",
"dir_816441446be8e0d7d97c4a4eb8832a5b.html",
"namespacedccl.html#ad92ab720fc0abfc9a6f4784e3c8c2a2f",
"structlpb__State.html#a5197b1accc213dfbcd71cde898ebff39"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';